javax.faces.view.facelets

## Class TagAttributeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.view.facelets.FaceletException
          - - javax.faces.view.facelets.TagAttributeException

- All Implemented Interfaces:
    Serializable

      public final class TagAttributeException
      extends FaceletException

  An Exception caused by a `TagAttribute`

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagAttributeException(TagAttribute attr)`
    `TagAttributeException(TagAttribute attr, String message)`
    `TagAttributeException(TagAttribute attr, String message, Throwable cause)`
    `TagAttributeException(TagAttribute attr, Throwable cause)`
    `TagAttributeException(Tag tag, TagAttribute attr)`
    `TagAttributeException(Tag tag, TagAttribute attr, String message)`
    `TagAttributeException(Tag tag, TagAttribute attr, String message, Throwable cause)`
    `TagAttributeException(Tag tag, TagAttribute attr, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagAttributeException

          public TagAttributeException(TagAttribute attr)

    - #### TagAttributeException

          public TagAttributeException(TagAttribute attr,
                               String message)

    - #### TagAttributeException

          public TagAttributeException(TagAttribute attr,
                               Throwable cause)

    - #### TagAttributeException

          public TagAttributeException(TagAttribute attr,
                               String message,
                               Throwable cause)

    - #### TagAttributeException

          public TagAttributeException(Tag tag,
                               TagAttribute attr)

    - #### TagAttributeException

          public TagAttributeException(Tag tag,
                               TagAttribute attr,
                               String message)

      Parameters:
        `message` -

    - #### TagAttributeException

          public TagAttributeException(Tag tag,
                               TagAttribute attr,
                               Throwable cause)

      Parameters:
        `cause` -

    - #### TagAttributeException

          public TagAttributeException(Tag tag,
                               TagAttribute attr,
                               String message,
                               Throwable cause)

      Parameters:
        `message` -
        `cause` -

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.